#! /usr/bin/python
import pygtk
import gtk
import os
import time
import ConfigParser

#Try to import psyco engine
try:
        import psyco
        psyco.full()
	print 'Psyco engine successfully imported\n'
except ImportError:
        pass


class IndexWindow:
	
    def __init__(self):
	################################################################################
	#Python 
	################################################################################
	#Import data
	#try to open Nixory configuration 
	dataconf = os.path.isfile('Data/nistin.dll')
	print 'Loading Nixory configuration...'
	
	if dataconf is True:
	
	        print 'Configuration file succesfully found'
		state = 1
		datain = open('Data/nistin.dll', 'r')
		
		#Load configuration
		self.config = ConfigParser.ConfigParser()
                self.config.read("Data/nistin.dll")
		
		#Assign stats variables
		self.nscan = int(self.config.get('MainTable', 'Scans'))
		self.nfound = int(self.config.get('MainTable','Found'))
		self.nrem = int(self.config.get('MainTable','Removed'))
		self.nrhigh = int(self.config.get('MainTable','RHigh'))
		self.nrmed = int(self.config.get('MainTable','RMed'))
		self.nrlow = int(self.config.get('MainTable','RLow'))
		self.spath = str(self.config.get('Config','cookie_path'))
		self.sclow = str(self.config.get('Config','ignore_low'))
		self.scmed = str(self.config.get('Config','ignore_med'))
		self.schigh = str(self.config.get('Config','ignore_high'))
		self.scwrite = str(self.config.get('Config','writelog'))
		self.scnwrite = str(self.config.get('Config','nwritelog'))
		self.lang = str(self.config.get('Config','language'))
			
		
	else:
		print 'Configuration file not found!'
		state = 2
		self.nscan = 0
		self.nfound = 0
		self.nrem = 0
		self.nrhigh = 0
		self.nrmed = 0
		self.nrlow = 0
	        self.spath = 'None'
	        self.sclow = 'False'
		self.scmed = 'False'
		self.schigh = 'False'
		self.scwrite = 'True'
		self.scnwrite = 'False'
		self.lang = 'English'
	
	#Load language
	if 'English' in self.lang:
		#Load language file
	        self.config = ConfigParser.ConfigParser()
	        self.config.read("Data/mlangen.dll")
		
		#add stocks
		gtk.stock_add([(gtk.STOCK_YES, self.config.get('LanguageFile','71'), 0, 0, "")])
	        gtk.stock_add([(gtk.STOCK_NO, self.config.get('LanguageFile','72'), 0, 0, "")])
		
		gtk.stock_add([(gtk.STOCK_APPLY, self.config.get('LanguageFile','35'), 0, 0, "")])
	        gtk.stock_add([(gtk.STOCK_CANCEL, self.config.get('LanguageFile','26'), 0, 0, "")])
		
	if 'Italian' in self.lang:
		#Load language file
	        self.config = ConfigParser.ConfigParser()
	        self.config.read("Data/mlangit.dll")
		
		#add stocks
		gtk.stock_add([(gtk.STOCK_YES, self.config.get('LanguageFile','71'), 0, 0, "")])
	        gtk.stock_add([(gtk.STOCK_NO, self.config.get('LanguageFile','72'), 0, 0, "")])
		
		gtk.stock_add([(gtk.STOCK_APPLY, self.config.get('LanguageFile','35'), 0, 0, "")])
	        gtk.stock_add([(gtk.STOCK_CANCEL, self.config.get('LanguageFile','26'), 0, 0, "")])
        
        if 'Dutch' in self.lang:
		#Load language file
	        self.config = ConfigParser.ConfigParser()
	        self.config.read("Data/mlangdu.dll")
		
		#add stocks
		gtk.stock_add([(gtk.STOCK_YES, self.config.get('LanguageFile','71'), 0, 0, "")])
	        gtk.stock_add([(gtk.STOCK_NO, self.config.get('LanguageFile','72'), 0, 0, "")])
		
		gtk.stock_add([(gtk.STOCK_APPLY, self.config.get('LanguageFile','35'), 0, 0, "")])
	        gtk.stock_add([(gtk.STOCK_CANCEL, self.config.get('LanguageFile','26'), 0, 0, "")])
	
	################################################################################
	#PyGTK GUI Interface
	################################################################################
	#INDEX WINDOWS
	#Window
        self.win = gtk.Window(gtk.WINDOW_TOPLEVEL)
        self.win.connect("delete_event", self.delete_event)
	self.win.connect("destroy", self.destroy)
	self.win.set_position(gtk.WIN_POS_CENTER)
	self.win.set_default_size(550, 320)
        self.win.set_resizable(True)
        self.win.set_title('Nixory')
	gtk.window_set_default_icon_from_file('Icons/Nixory_small.png')
	
	#Table container
	self.indextable = gtk.Table(3, 3, False)
	
	#HBox container
	self.buttonsbox = gtk.HBox(True, 0)
	
	#ListStore
        self.liststore = gtk.ListStore(str, int, str)
        self.liststore.append([gtk.STOCK_EXECUTE ,self.nscan, self.config.get('LanguageFile','01')])
	self.liststore.append([gtk.STOCK_FIND ,self.nfound, self.config.get('LanguageFile','02')])
	self.liststore.append([gtk.STOCK_FIND_AND_REPLACE ,self.nrem, self.config.get('LanguageFile','03')])
	self.liststore.append([gtk.STOCK_ZOOM_FIT ,self.nrhigh, self.config.get('LanguageFile','04')])
	self.liststore.append([gtk.STOCK_ZOOM_IN ,self.nrmed, self.config.get('LanguageFile','05')])
	self.liststore.append([gtk.STOCK_ZOOM_OUT ,self.nrlow, self.config.get('LanguageFile','06')])
	
	#TreeView
	self.treeview = gtk.TreeView(self.liststore)
	self.treeview.set_rules_hint(True)
	
	#TreeViewColums
	self.columnint = gtk.TreeViewColumn('            ')
	self.columnint.set_resizable(True)
	self.columnstr = gtk.TreeViewColumn(self.config.get('LanguageFile','07'))
	
	#Append columns
	self.treeview.append_column(self.columnint)
	self.treeview.append_column(self.columnstr)
	
	#Cellrenderers2
	self.cellpix = gtk.CellRendererPixbuf()
	self.cellint = gtk.CellRendererText()
	self.cellstr = gtk.CellRendererText()
	
	#add cell renderers
	self.columnint.pack_start(self.cellpix, True)
	self.columnint.pack_start(self.cellint, True)
	self.columnstr.pack_start(self.cellstr, True)
	
	#set attributes
	self.columnint.set_attributes(self.cellpix, stock_id=0)
	self.columnint.set_attributes(self.cellint, text=1)
	self.columnstr.set_attributes(self.cellstr, text=2)
	self.cellpix.set_property('stock-size', gtk.ICON_SIZE_LARGE_TOOLBAR)
	
	#Box Button Quit
	self.quitbox = gtk.HBox(False, 0)
	self.quitimage= gtk.image_new_from_stock(gtk.STOCK_QUIT, gtk.ICON_SIZE_SMALL_TOOLBAR)
	self.quitlab = gtk.Label(self.config.get('LanguageFile','08'))
	self.quitbox.pack_start(self.quitimage, False, 1)
	self.quitbox.pack_start(self.quitlab, True, 1)
	self.quitbut = gtk.Button()
	self.quitbut.add(self.quitbox)
	self.quitbut.connect('clicked', self.destroy)
	
	#Button Scan
	self.scanbox = gtk.HBox(False, 0)
	self.scanimage= gtk.image_new_from_stock(gtk.STOCK_INDEX, gtk.ICON_SIZE_SMALL_TOOLBAR)
	self.scanlab = gtk.Label(self.config.get('LanguageFile','09'))
	self.scanbox.pack_start(self.scanimage, False)
	self.scanbox.pack_start(self.scanlab, False)
	self.scanbut = gtk.Button()
	self.scanbut.add(self.scanbox)
	self.scanbut.connect('clicked', self.refresh)
	self.scanbut.connect('clicked', self.winscan)
	
	if state == 1:
		self.scanbut.set_sensitive(True)
	else:
		self.scanbut.set_sensitive(False)
	
	#Label
	self.status = gtk.Label()
	if state == 1:
		self.status.set_text(self.config.get('LanguageFile','10'))
		print 'Configuration file successfully loaded'
	if state == 2:
		self.status.set_text(self.config.get('LanguageFile','11'))
		print 'Unable to open configuration file!'
	
	#box packstart
	self.buttonsbox.pack_start(self.quitbut, True, True)
	self.buttonsbox.pack_start(self.scanbut, True, True)
	
	#File menu
	self.file_menu = gtk.Menu()
	
	self.quit_item = gtk.ImageMenuItem(self.config.get('LanguageFile','08'))
        self.image = gtk.Image()
        self.image.set_from_stock(gtk.STOCK_QUIT, gtk.ICON_SIZE_MENU)
        self.quit_item.set_image(self.image)
	self.quit_item.connect_object('activate', self.destroy, None)
	
	self.file_menu.append(self.quit_item)
	
	#Options menu
	self.options_menu = gtk.Menu()
	
	self.configure_item = gtk.ImageMenuItem(self.config.get('LanguageFile','12')) 
	self.configure_image = gtk.Image()
	self.configure_image.set_from_stock(gtk.STOCK_PROPERTIES, gtk.ICON_SIZE_MENU)
	self.configure_item.set_image(self.configure_image)
	self.configure_item.connect('activate', self.refresh)
	self.configure_item.connect('activate', self.preference_win)
	
	if state == 1:
		self.configure_item.set_sensitive(True)
	else:
		self.configure_item.set_sensitive(False)
	
	self.options_menu.append(self.configure_item)
	
	#Actions menu
	self.act_menu = gtk.Menu()
	
	self.scan_item = gtk.ImageMenuItem(self.config.get('LanguageFile','09'))
	self.scan_image = gtk.Image()
	self.scan_image.set_from_stock(gtk.STOCK_HARDDISK, gtk.ICON_SIZE_MENU)
	self.scan_item.set_image(self.scan_image)
	self.scan_item.connect('activate', self.refresh)
	self.scan_item.connect('activate', self.winscan)
	
	if state == 1:
		self.scan_item.set_sensitive(True)
	else:
		self.scan_item.set_sensitive(False)
	
	
	self.act_menu.append(self.scan_item)
	
	#Language menu
	self.lang_menu = gtk.Menu()
	self.eng_item = gtk.ImageMenuItem(self.config.get('LanguageFile','74'))
	if 'English' in self.lang:
	    self.eng_image = gtk.Image()
            self.eng_image.set_from_stock(gtk.STOCK_APPLY, gtk.ICON_SIZE_MENU)
	else:
	    self.eng_image = gtk.Image()
            self.eng_image.set_from_stock(gtk.STOCK_CANCEL, gtk.ICON_SIZE_MENU)
        self.eng_item.set_image(self.eng_image)
	self.eng_item.connect_object('activate', self.change_eng, None)
	
	self.ita_item = gtk.ImageMenuItem(self.config.get('LanguageFile','75'))
	if 'Italian' in self.lang:
	    self.ita_image = gtk.Image()
            self.ita_image.set_from_stock(gtk.STOCK_APPLY, gtk.ICON_SIZE_MENU)
	else:
	    self.ita_image = gtk.Image()
            self.ita_image.set_from_stock(gtk.STOCK_CANCEL, gtk.ICON_SIZE_MENU)
        self.ita_item.set_image(self.ita_image)
	self.ita_item.connect_object('activate', self.change_ita, None)
	
	self.du_item = gtk.ImageMenuItem(self.config.get('LanguageFile','76'))
	if 'Dutch' in self.lang:
	    self.du_image = gtk.Image()
            self.du_image.set_from_stock(gtk.STOCK_APPLY, gtk.ICON_SIZE_MENU)
	else:
	    self.du_image = gtk.Image()
            self.du_image.set_from_stock(gtk.STOCK_CANCEL, gtk.ICON_SIZE_MENU)
        self.du_item.set_image(self.du_image)
	self.du_item.connect_object('activate', self.change_du, None)
	
	self.lang_menu.append(self.eng_item)
	self.lang_menu.append(self.ita_item)
	self.lang_menu.append(self.du_item)
	
	#Help menu
	self.help_menu =gtk.Menu()
	
	self.about_item = gtk.ImageMenuItem('About')
	self.about_image = gtk.Image()
	self.about_image.set_from_stock(gtk.STOCK_HOME, gtk.ICON_SIZE_MENU)
	self.about_item.set_image(self.about_image)
	self.about_item.connect('activate', self.win_about)
	
	self.help_menu.append(self.about_item)
	
	
	
	#Add menus
	self.menu_bar = gtk.MenuBar()
	
	self.file_item = gtk.MenuItem(self.config.get('LanguageFile','73'))
	self.file_item.set_submenu(self.file_menu)
	
	self.options_item = gtk.MenuItem(self.config.get('LanguageFile','13'))
	self.options_item.set_submenu(self.options_menu)
	
	self.scan_item = gtk.MenuItem(self.config.get('LanguageFile','14'))
	self.scan_item.set_submenu(self.act_menu)
	
	self.lang_item = gtk.MenuItem(self.config.get('LanguageFile','15'))
	self.lang_item.set_submenu(self.lang_menu)
	
	self.about_item = gtk.MenuItem(self.config.get('LanguageFile','16'))
	self.about_item.set_submenu(self.help_menu)
	
	self.menu_bar.append(self.file_item)
	self.menu_bar.append(self.options_item)
	self.menu_bar.append(self.scan_item)
	self.menu_bar.append(self.lang_item)
	self.menu_bar.append(self.about_item)
	
	#show
	self.indextable.attach(self.menu_bar, 0, 3, 0, 1, gtk.FILL, gtk.FILL)
	self.indextable.attach(self.treeview, 0, 3, 1, 2, gtk.EXPAND|gtk.FILL, gtk.EXPAND|gtk.FILL)
	self.indextable.attach(self.buttonsbox, 0, 1, 2, 3, 0 , 0)
	self.indextable.attach(self.status, 1, 3, 2, 3, gtk.EXPAND|gtk.FILL , 0)
	self.win.add(self.indextable)
	self.win.show_all()
	
	#Focus
	self.win.set_focus(None)
	
    def win_about(self,widget):
	#Dialog 
        self.aboutwin = gtk.Dialog('Nixory About', None, 0, (gtk.STOCK_OK, gtk.RESPONSE_ACCEPT))
	self.aboutwin.set_modal(True)
	self.aboutwin.set_transient_for(self.win)
	self.aboutwin.set_default_size(260, 210)
	self.aboutwin.set_position(gtk.WIN_POS_CENTER)
	
	#Spaces
	if 'English' in self.lang:
		spaces1 = 51
		spaces2 = 45
		spaces3 = 26
		spaces4 = 10
		spaces5 = 19
	if 'Italian' in self.lang:
		spaces1 = 51
		spaces2 = 42
		spaces3 = 40
		spaces4 = 0
		spaces5 = 15
	if 'Dutch' in self.lang:
		spaces1 = 70
		spaces2 = 68
		spaces3 = 20
		spaces4 = 10
		spaces5 = 35
		
	#Content
	self.im = gtk.Image()
	self.im.set_from_file('Icons/Nixory.png')
	self.namelab = gtk.Label()
	self.namelab.set_markup('<b>:::Nixory 0.1.8::: </b>')
	self.atlab = gtk.Label()
	self.atlab.set_markup('<b>' + self.config.get('LanguageFile','77') + (' ' * spaces1) + '</b>')
	self.aklab = gtk.Label()
	self.aklab.set_markup('<b>' + self.config.get('LanguageFile','78') + (' ' * spaces2) + '</b>')
	self.aboutwin.vbox.pack_start(self.namelab)
	self.aboutwin.vbox.pack_start(self.im)
	self.aboutwin.vbox.pack_start(gtk.Label('\n                  ' + self.config.get('LanguageFile','17') + '                  \n\n'))
	self.aboutwin.vbox.pack_start(self.atlab)
	self.aboutwin.vbox.pack_start(gtk.Label(self.config.get('LanguageFile','18') + '\n' + self.config.get('LanguageFile','19') + '\n' + self.config.get('LanguageFile','20') + '\n' + self.config.get('LanguageFile','21') + '\n'))
	self.aboutwin.vbox.pack_start(self.aklab)
	self.aboutwin.vbox.pack_start(gtk.Label(self.config.get('LanguageFile','79')+ (' ' * spaces4))) 
	self.aboutwin.vbox.pack_start(gtk.Label(self.config.get('LanguageFile','80') + (' ' * spaces5)))
	
	#Show dialog
	self.aboutwin.show_all()
	self.aboutwin.set_focus(None)
	
	#View response
	response = self.aboutwin.run()
	if response == gtk.RESPONSE_ACCEPT:
	           self.aboutwin.destroy()
        self.aboutwin.destroy()
	
    def preference_win(self,widget):
	
	#Preference Window
	self.prwin = gtk.Window(gtk.WINDOW_TOPLEVEL)
        self.prwin.connect("delete_event", self.delete_event)
	self.prwin.set_position(gtk.WIN_POS_CENTER)
	self.prwin.set_default_size(350, 285)
        self.prwin.set_resizable(True)
        self.prwin.set_title(self.config.get('LanguageFile','22'))
	self.prwin.set_modal(True)
	self.prwin.set_transient_for(self.win)
	
	#Box Button Browser
	self.browbox = gtk.HBox(False, 0)
	self.browimage= gtk.image_new_from_stock(gtk.STOCK_INDENT, gtk.ICON_SIZE_SMALL_TOOLBAR)
	self.browlab = gtk.Label(' ' + self.config.get('LanguageFile','23'))
	self.browbox.pack_start(self.browimage, False, 1)
	self.browbox.pack_start(self.browlab, True, 1)
	self.browbut = gtk.Button()
	self.browbut.add(self.browbox)
	self.browbut.connect('clicked', self.browser)
	
	#Box Button Clean
	self.cleanbox = gtk.HBox(False, 0)
	self.cleanimage= gtk.image_new_from_stock(gtk.STOCK_CLEAR, gtk.ICON_SIZE_SMALL_TOOLBAR)
	self.cleanlab = gtk.Label(self.config.get('LanguageFile','24'))
	self.cleanbox.pack_start(self.cleanimage, False, 1)
	self.cleanbox.pack_start(self.cleanlab, True, 1)
	self.cleanbut = gtk.Button()
	self.cleanbut.add(self.cleanbox)
	self.cleanbut.connect('clicked', self.clean_text)
	
	#Box Button Apply
	self.applybox = gtk.HBox(False, 0)
	self.applyimage= gtk.image_new_from_stock(gtk.STOCK_OK, gtk.ICON_SIZE_SMALL_TOOLBAR)
	self.applylab = gtk.Label(self.config.get('LanguageFile','25'))
	self.applybox.pack_start(self.applyimage, False, 1)
	self.applybox.pack_start(self.applylab, True, 1)
	self.applybut = gtk.Button()
	self.applybut.add(self.applybox)
	self.applybut.connect('clicked', self.apply_func)
	self.applybut.connect('clicked', self.refresh)
	
	#Box Button Cancel
	self.cancbox = gtk.HBox(False, 0)
	self.cancimage= gtk.image_new_from_stock(gtk.STOCK_CANCEL, gtk.ICON_SIZE_SMALL_TOOLBAR)
	self.canclab = gtk.Label(self.config.get('LanguageFile','26'))
	self.cancbox.pack_start(self.cancimage, False, 1)
	self.cancbox.pack_start(self.canclab, True, 1)
	self.cancbut = gtk.Button()
	self.cancbut.add(self.cancbox)
	self.cancbut.connect("clicked", self.refresh)
	self.cancbut.connect_object("clicked", gtk.Widget.destroy, self.prwin)
	
	
	#Button box
	self.pbox = gtk.HBox(False, 0)
	self.pbox.pack_start(self.browbut, False, 1)
	self.pbox.pack_start(self.cleanbut, False, 1)
	
	#Button box
	self.ppbox = gtk.HBox(False, 0)
	self.ppbox.pack_start(self.applybut, False, 1)
	self.ppbox.pack_start(self.cancbut, False, 1)
	
	#Table
	self.prtable = gtk.Table(3, 15, False)
	
	
	#Label path
	if 'English' in self.lang:
		spaces1 = 32
		spaces2 = 38
		spaces3 = 26
	if 'Italian' in self.lang:
		spaces1 = 32
		spaces2 = 48
		spaces3 = 40
	if 'Dutch' in self.lang:
		spaces1 = 32
		spaces2 = 43
		spaces3 = 20
	self.pathlab = gtk.Label('   ' + self.config.get('LanguageFile','27') + ' ' * spaces1)
	self.space = gtk.Label('    ')
	self.allowlab = gtk.Label('\n' + self.config.get('LanguageFile','28') + (' ' * spaces2) + '\n')
	self.loglab = gtk.Label('\n' + self.config.get('LanguageFile','29') + (' ' * spaces3) + '\n')
	
	#Separator
	self.sep = gtk.HSeparator()
	self.sep2 = gtk.HSeparator()
	self.sep3 = gtk.HSeparator()
	
	
	#Entry path
	self.fcentry = gtk.Entry(0)
	
	#Check buttons
	self.ign1 = gtk.CheckButton(self.config.get('LanguageFile','30'))
	self.ign2 = gtk.CheckButton(self.config.get('LanguageFile','31'))
	self.ign3 = gtk.CheckButton(self.config.get('LanguageFile','32'))
	
	#Radio buttons
	self.all1 = gtk.RadioButton(None, self.config.get('LanguageFile','33'), False)
	self.all2 = gtk.RadioButton(self.all1, self.config.get('LanguageFile','34'), False)
	
	
	#Load firefox path
	spathlen = len(self.spath)
	self.spath = self.spath[0:spathlen]
	
	#Load check button low
	sclowlen = len(self.sclow)
	self.sclow = self.sclow[0:sclowlen]
	if self.sclow == 'True':
		self.sclow = True
	else:
		self.sclow = False
	
	#Load check button medium	
	scmedlen = len(self.scmed)
	self.scmed = self.scmed[0:scmedlen]
	if self.scmed == 'True':
		self.scmed = True
	else:
		self.scmed = False
	
	#Load check button high
	schighlen = len(self.schigh)
	self.schigh = self.schigh[0:schighlen]
	if self.schigh == 'True':
		self.schigh = True
	else:
		self.schigh = False
	
	#Load radio button write
	scwritelen = len(self.scwrite)
	self.scwrite = self.scwrite[0:scwritelen]
	if self.scwrite == 'True':
		self.scwrite = True
	else:
		self.scwrite = False
	
	#Load radio button not write
	scnwritelen = len(self.scnwrite)
	self.scnwrite = self.scnwrite[0:scnwritelen]
	if self.scnwrite == 'True':
		self.scnwrite = True
	else:
		self.scnwrite = False
        
	#Assign 
	self.fcentry.set_text(self.spath)
	self.ign1.set_active(self.sclow)
	self.ign2.set_active(self.scmed)
	self.ign3.set_active(self.schigh)
	self.all1.set_active(self.scwrite)
	self.all2.set_active(self.scnwrite)
	
	#Show
	self.prtable.attach(self.pathlab,0, 1, 0, 1,0, 0)
	self.prtable.attach(self.fcentry,0, 3, 1, 2, gtk.EXPAND|gtk.FILL, 0)
	self.prtable.attach(self.pbox,2, 3, 3, 4, 0, 0)
	self.prtable.attach(self.space,1, 3, 3, 4, gtk.EXPAND, 0)
	self.prtable.attach(self.sep,0, 3, 4, 5, gtk.EXPAND|gtk.FILL,0)
	self.prtable.attach(self.allowlab,0, 1, 5, 6, 0, 0)
	self.prtable.attach(self.ign1,0, 2, 6, 7, gtk.FILL, 0)
	self.prtable.attach(self.ign2,0, 2, 7, 8, gtk.FILL, 0)
	self.prtable.attach(self.ign3,0, 2, 8, 9, gtk.FILL, 0)
	self.prtable.attach(self.sep2,0, 3, 9, 10, gtk.FILL, 0)
	self.prtable.attach(self.loglab,0, 1, 10, 11, 0, 0)
	self.prtable.attach(self.all1,0, 1, 11, 12, gtk.FILL, 0)
	self.prtable.attach(self.all2,0, 1, 12, 13, gtk.FILL, 0)
	self.prtable.attach(self.sep3,0, 3, 13, 14, gtk.FILL, 0)
	self.prtable.attach(self.ppbox,0, 1, 14, 15, gtk.FILL, 0)
	self.prwin.add(self.prtable)
        self.prwin.show_all()
	
	#focus
	self.prwin.set_focus(self.fcentry)
	
	
    def clean_text(self, widget):
        self.fcentry.set_text('')
	
    def refresh(self, widget):
	#Load configuration
	conf = ConfigParser.ConfigParser()
	conf.read("Data/nistin.dll")
		
	#Assign stats variables
	self.nscan = int(conf.get('MainTable', 'Scans'))
	self.nfound = int(conf.get('MainTable','Found'))
	self.nrem = int(conf.get('MainTable','Removed'))
	self.nrhigh = int(conf.get('MainTable','RHigh'))
	self.nrmed = int(conf.get('MainTable','RMed'))
	self.nrlow = int(conf.get('MainTable','RLow'))
	self.spath = str(conf.get('Config','cookie_path'))
	self.sclow = str(conf.get('Config','ignore_low'))
	self.scmed = str(conf.get('Config','ignore_med'))
	self.schigh = str(conf.get('Config','ignore_high'))
	self.scwrite = str(conf.get('Config','writelog'))
	self.scnwrite = str(conf.get('Config','nwritelog'))
	self.lang = str(conf.get('Config','language'))
	
	#Refresh index treeview
	self.liststore.set_value(self.liststore.get_iter(0),1, self.nscan)
	self.liststore.set_value(self.liststore.get_iter(1),1, self.nfound)
	self.liststore.set_value(self.liststore.get_iter(2),1, self.nrem)
	self.liststore.set_value(self.liststore.get_iter(3),1, self.nrhigh)
	self.liststore.set_value(self.liststore.get_iter(4),1, self.nrmed)
	self.liststore.set_value(self.liststore.get_iter(5),1, self.nrlow)
	
    def rewrite(self, widget):
	#Load configuration
	conf = ConfigParser.ConfigParser()
	conf.read("Data/nistin.dll")
		
	#Assign stats variables
	self.spaths = str(conf.get('Config','cookie_path'))
	self.sclows = str(conf.get('Config','ignore_low'))
	self.scmeds = str(conf.get('Config','ignore_med'))
	self.schighs = str(conf.get('Config','ignore_high'))
	self.scwrites = str(conf.get('Config','writelog'))
	self.scnwrites = str(conf.get('Config','nwritelog'))
	self.langs = str(conf.get('Config','language'))
	
	self.rw = ['[MainTable]\n', 'Scans:   ' + str(self.nscan) + '\n','Found:   ' + str(self.nfound) + '\n','Removed: ' + str(self.nrem) + '\n','RHigh:   ' + str(self.nrhigh) + '\n','RMed:    '+ str(self.nrmed) + '\n','RLow:    ' + str(self.nrlow) + '\n','\n[Config]\n','cookie_path: ' + self.spath + '\n','ignore_low:  ' + self.sclow  + '\n','ignore_med:  ' + self.scmed + '\n','ignore_high: ' + self.schigh + '\n','writelog:    ' + self.scwrite + '\n','nwritelog:   ' + self.scnwrite + '\n','language:    ' + self.lang + '\n']
	datain = open('Data/nistin.dll', 'w')
	datain.writelines(self.rw)

    def change_ita(self, widget):
	#Check language
        self.refresh(self)
	if 'English' in self.lang:
		self.langset = 'Italian'
		self.lang_func()
	if 'Dutch' in self.lang:
		self.langset = 'Italian'
		self.lang_func()
		
    def change_eng(self, widget):
	#Check language
        self.refresh(self)
	if 'Italian' in self.lang:
		self.langset = 'English'
		self.lang_func()
	if 'Dutch' in self.lang:
		self.langset = 'English'
		self.lang_func()
		
		
    def change_du(self, widget):
	#Check language
        self.refresh(self)
	if 'Italian' in self.lang:
		self.langset = 'Dutch'
		self.lang_func()
	if 'English' in self.lang:
		self.langset = 'Dutch'
		self.lang_func()
		
		
    def lang_func(self):
	self.advertl = self.config.get('LanguageFile','70')
	self.lange = gtk.MessageDialog(None, 0, gtk.MESSAGE_QUESTION, gtk.BUTTONS_YES_NO, self.advertl)
	self.lange.set_title(self.config.get('LanguageFile','66'))
	self.lange.set_modal(True)
	self.lange.set_transient_for(self.win)
	self.lange.show()
	asw = self.lange.run()
	if asw == gtk.RESPONSE_YES:
	   self.lang = self.langset
	   self.rw = ['[MainTable]\n', 'Scans:   ' + str(self.nscan) + '\n','Found:   ' + str(self.nfound) + '\n','Removed: ' + str(self.nrem) + '\n','RHigh:   ' + str(self.nrhigh) + '\n','RMed:    '+ str(self.nrmed) + '\n','RLow:    ' + str(self.nrlow) + '\n','\n[Config]\n','cookie_path: ' + self.spath + '\n','ignore_low:  ' + self.sclow  + '\n','ignore_med:  ' + self.scmed + '\n','ignore_high: ' + self.schigh + '\n','writelog:    ' + self.scwrite + '\n','nwritelog:   ' + self.scnwrite + '\n','language:    ' + self.lang + '\n']
	   datain = open('Data/nistin.dll', 'w')
	   datain.writelines(self.rw)
           self.lange.destroy()
           self.win.destroy()
	if asw == gtk.RESPONSE_NO:
           self.lang = self.lang
	   self.rw = ['[MainTable]\n', 'Scans:   ' + str(self.nscan) + '\n','Found:   ' + str(self.nfound) + '\n','Removed: ' + str(self.nrem) + '\n','RHigh:   ' + str(self.nrhigh) + '\n','RMed:    '+ str(self.nrmed) + '\n','RLow:    ' + str(self.nrlow) + '\n','\n[Config]\n','cookie_path: ' + self.spath + '\n','ignore_low:  ' + self.sclow  + '\n','ignore_med:  ' + self.scmed + '\n','ignore_high: ' + self.schigh + '\n','writelog:    ' + self.scwrite + '\n','nwritelog:   ' + self.scnwrite + '\n','language:    ' + self.lang + '\n']
	   datain = open('Data/nistin.dll', 'w')
	   datain.writelines(self.rw)
	   self.lange.destroy()
	self.lange.destroy()
	
    def apply_func(self, widget):
        #Take entry values
	self.spath = self.fcentry.get_text()
	self.sclow = self.ign1.get_active()
	self.sclow = str(self.sclow)
	self.scmed = self.ign2.get_active()
	self.scmed = str(self.scmed)
	self.schigh = self.ign3.get_active()
	self.schigh = str(self.schigh)
	self.scwrite = self.all1.get_active()
	self.scwrite = str(self.scwrite)
	self.scnwrite = self.all2.get_active()
	self.scnwrite = str(self.scnwrite)

	#Rewrite configuration file
	datain = open('Data/nistin.dll', 'w')
	datain.flush()
	self.rw = ['[MainTable]\n', 'Scans:   ' + str(self.nscan) + '\n','Found:   ' + str(self.nfound) + '\n','Removed: ' + str(self.nrem) + '\n','RHigh:   ' + str(self.nrhigh) + '\n','RMed:    '+ str(self.nrmed) + '\n','RLow:    ' + str(self.nrlow) + '\n','\n[Config]\n','cookie_path: ' + self.spath + '\n','ignore_low:  ' + self.sclow  + '\n','ignore_med:  ' + self.scmed + '\n','ignore_high: ' + self.schigh + '\n','writelog:    ' + self.scwrite + '\n','nwritelog:   ' + self.scnwrite + '\n','language:    ' + self.lang + '\n']
	datain.writelines(self.rw)
	self.prwin.destroy()

    def browser(self, widget):
	#File chooser
        self.filebrowser = gtk.FileChooserDialog(self.config.get('LanguageFile','36'), None, gtk.FILE_CHOOSER_ACTION_OPEN, (gtk.STOCK_APPLY, gtk.RESPONSE_ACCEPT, gtk.STOCK_CANCEL, gtk.RESPONSE_REJECT))
	self.filebrowser.set_transient_for(self.prwin)
	self.filebrowser.set_modal(True)
	self.filebrowser.set_show_hidden(True)
	self.filter = gtk.FileFilter()
        self.filter.add_pattern("*")
        self.filebrowser.add_filter(self.filter)
	response = self.filebrowser.run()
        filesel = self.filebrowser.get_filename()
        if response == gtk.RESPONSE_ACCEPT:
            filesel = self.filebrowser.get_filename()
	    self.fcentry.set_text(filesel)
	if response == gtk.RESPONSE_REJECT:
	    pass
	self.filebrowser.destroy()
	
    def winscan(self, widget):
	#Window
	self.winsc = gtk.Window(gtk.WINDOW_TOPLEVEL)
	self.winsc.connect("delete_event", self.finishscan)
	self.winsc.set_position(gtk.WIN_POS_CENTER)
	self.winsc.set_default_size(491, 250)
        self.winsc.set_resizable(True)
        self.winsc.set_title(self.config.get('LanguageFile','37'))
	self.winsc.set_modal(True)
	self.winsc.set_transient_for(self.win)
	
	#Initial vars
	self.objf = 0
	self.objc = 0
	self.objh = 0
	self.objm = 0
	self.objl = 0
	self.obji = 0
	self.cc = 0
	self.cc = str(self.cc)
	self.minerf = False
	self.scanex = False
	
	
	#Initial log vars
	self.foundlog = 0
	self.removelog = 0
	self.checklog = 0
	self.lowlog = 0
	self.highlog = 0
	self.medlog = 0
	self.ignorelog = 0
	self.totallog = 0
	
	#Initial vars
	#Initial
	self.defound = '0000000000000000000000000000000000000000000'
	self.decheck = '0000000000000000000000000000000000000000000'
	self.deline = ''
		
        #Secondary vars
	self.minerf = False
	
	#Table
	self.statable = gtk.Table(3, 5, False)
	
	#Separators
	self.hsep = gtk.HSeparator()
	self.hsep2 = gtk.HSeparator()
	
	#Progress bar
	self.bar1 = gtk.ProgressBar()
	self.bar1.set_orientation(gtk.PROGRESS_LEFT_TO_RIGHT)
	self.bar1.set_fraction(0.0)
	
	#Label 
	self.progresslab = gtk.Label( self.config.get('LanguageFile','38') + ' ' + self.cc)
	
	#Box Button Close
	self.closebox = gtk.HBox(False, 0)
	self.closeimage= gtk.image_new_from_stock(gtk.STOCK_CLOSE, gtk.ICON_SIZE_SMALL_TOOLBAR)
	self.closelab = gtk.Label(self.config.get('LanguageFile','39'))
	self.closebox.pack_start(self.closeimage, False, 1)
	self.closebox.pack_start(self.closelab, True, 1)
	self.closebut = gtk.Button()
	self.closebut.add(self.closebox)
	self.closebut.connect_object("clicked", gtk.Widget.destroy, self.winsc)
	self.closebut.connect('clicked', self.refresh)
	
	#Box Button Scan
	self.scansbox = gtk.HBox(False, 0)
	self.scansimage= gtk.image_new_from_stock(gtk.STOCK_NETWORK, gtk.ICON_SIZE_SMALL_TOOLBAR)
	self.scanslab = gtk.Label(' ' + self.config.get('LanguageFile','40'))
	self.scansbox.pack_start(self.scansimage, False, 1)
	self.scansbox.pack_start(self.scanslab, True, 1)
	self.scansbut = gtk.Button()
	self.scansbut.add(self.scansbox)
	self.scansbut.connect('clicked', self.scansion)
	
	#Box Button Finish
	self.finbox = gtk.HBox(False, 0)
	self.finimage= gtk.image_new_from_stock(gtk.STOCK_QUIT, gtk.ICON_SIZE_SMALL_TOOLBAR)
	self.finlab = gtk.Label(' ' + self.config.get('LanguageFile','41'))
	self.finbox.pack_start(self.finimage, False, 1)
	self.finbox.pack_start(self.finlab, True, 1)
	self.finbut = gtk.Button()
	self.finbut.add(self.finbox)
	self.finbut.set_sensitive(False)
	self.finbut.connect('clicked', self.finish)
	
	#Box Button Remove
	self.rmbox = gtk.HBox(False, 0)
	self.rmimage= gtk.image_new_from_stock(gtk.STOCK_GO_FORWARD, gtk.ICON_SIZE_SMALL_TOOLBAR)
	self.rmlab = gtk.Label(self.config.get('LanguageFile','42'))
	self.rmbox.pack_start(self.rmimage, False, 1)
	self.rmbox.pack_start(self.rmlab, True, 1)
	self.rmbut = gtk.Button()
	self.rmbut.add(self.rmbox)
	self.rmbut.set_sensitive(False)
	self.rmbut.connect('clicked', self.removetool)
	
	
	#Button box
	self.bpbox = gtk.HBox(False, 0)
	self.bpbox.pack_start(self.closebut, False, 1)
	self.bpbox.pack_start(self.scansbut, False, 1)
	
	#Button box
	self.bpbox2 = gtk.HBox(False, 0)
	self.bpbox2.pack_start(self.finbut, False, 1)
	self.bpbox2.pack_start(self.rmbut, False, 1)
	
	#ListStore
        self.statstore = gtk.ListStore(str, int, str)
        self.statstore.append([gtk.STOCK_JUSTIFY_LEFT ,self.objf, self.config.get('LanguageFile','43')])
	self.statstore.append([gtk.STOCK_INDENT ,self.objc, self.config.get('LanguageFile','44')])
	self.statstore.append([gtk.STOCK_GOTO_TOP ,self.objh, self.config.get('LanguageFile','45')])
	self.statstore.append([gtk.STOCK_GOTO_LAST ,self.objm, self.config.get('LanguageFile','46')])
	self.statstore.append([gtk.STOCK_GOTO_BOTTOM ,self.objl, self.config.get('LanguageFile','47')])
	self.statstore.append([gtk.STOCK_UNDELETE ,self.obji, self.config.get('LanguageFile','48')])
	
	#TreeView
	self.statview = gtk.TreeView(self.statstore)
	self.statview.set_rules_hint(True)
	self.statview.set_headers_clickable(False)
	
	
	#TreeViewColums
	self.columnum = gtk.TreeViewColumn('            ')
	self.columnum.set_resizable(True)
	self.columndet = gtk.TreeViewColumn(self.config.get('LanguageFile','49'))
	
	#Append columns
	self.statview.append_column(self.columnum)
	self.statview.append_column(self.columndet)
	
	#Cellrenderers2
	self.cellimg = gtk.CellRendererPixbuf()
	self.cellnum = gtk.CellRendererText()
	self.celldet = gtk.CellRendererText()
	
	#add cell renderers
	self.columnum.pack_start(self.cellimg, True)
	self.columnum.pack_start(self.cellnum, True)
	self.columndet.pack_start(self.celldet, True)
	
	#set attributes
	self.columnum.set_attributes(self.cellimg, stock_id=0)
	self.columnum.set_attributes(self.cellnum, text=1)
	self.columndet.set_attributes(self.celldet, text=2)
	self.cellimg.set_property('stock-size', gtk.ICON_SIZE_LARGE_TOOLBAR)
	
	
	#Show 
	self.statable.attach(self.statview, 0, 3, 0, 1, gtk.EXPAND|gtk.FILL, gtk.EXPAND|gtk.FILL)
	self.statable.attach(self.progresslab, 1, 3, 1, 2, gtk.FILL, gtk.FILL)
	self.statable.attach(self.bar1, 0, 1, 1, 2, gtk.FILL, gtk.FILL)
        self.statable.attach(self.bpbox, 0, 1, 3, 4, gtk.FILL, gtk.FILL)
	self.statable.attach(self.hsep, 0, 3, 2, 3, gtk.FILL, 0)
	self.statable.attach(self.bpbox2, 2, 3, 3, 4, gtk.FILL, gtk.FILL)
	self.statable.attach(self.hsep2, 0, 3, 4, 5, gtk.FILL, 0)
        self.winsc.add(self.statable)
	self.winsc.show_all()
	
	#Focus
	self.winsc.set_focus(None)

    def scansion(self, widget):
	
	#Refresh vars
	self.refresh(self)
	spathlen = len(self.spath)
	self.spath = self.spath[0:spathlen]
	
	#Check if is a file
	pathconf = os.path.isfile(self.spath)
	
	
	#Dialog errors
	self.error1 = gtk.MessageDialog(None, 0, gtk.MESSAGE_ERROR, gtk.BUTTONS_CLOSE, self.config.get('LanguageFile','50'))
	self.error1.set_modal(True)
	self.error1.set_transient_for(self.winsc)
	
	self.error2 = gtk.MessageDialog(None, 0, gtk.MESSAGE_ERROR, gtk.BUTTONS_CLOSE, self.config.get('LanguageFile','51'))
	self.error2.set_modal(True)
	self.error2.set_transient_for(self.winsc)
	
	#Open indicated file if it isn't 'None'
	if pathconf is True:
		#read cookie file
		cookietxt = open(self.spath, 'r')
		self.cookiecon = cookietxt.readlines()
		
		#verify valid cookie file
		if self.cookiecon[0] == '# HTTP Cookie File\n':
		   self.scanex = True
		   txtlen = len(self.cookiecon)
		   self.txtlen = len(str(txtlen))
		   self.delines = '0' * (self.txtlen * 40)
		   #Disable buttons
	           self.closebut.set_sensitive(False)
	           self.scansbut.set_sensitive(False)
		   
		   #Start scan
		   cookielen = len(self.cookiecon)
		   self.cookiex = 5
		   self.cookietot = cookielen - 1
		   
		   #If there are no cookies
		   if self.cookietot == 4:
		     self.bar1.set_fraction(1.00)
		     self.bar1.set_text('100%')
		   
		   
		   #While cicle
		   while self.cookiex <= self.cookietot:
			 self.current = self.cookiecon[self.cookiex]
			 self.current = self.current.split('\t')
			 #HERE
			 if '.tradedoubler.com' in self.current[0]:
			    if 'p20566' in self.current[5]:
		               if self.sclow == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = '1' + self.defound[1:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen : len(self.delines)] 
				   
				   
				   #Refresh vars
			           self.objf = self.objf + 1
			           self.objl = self.objl + 1
				   self.foundlog = self.foundlog + 1
				   self.lowlog = self.lowlog + 1
			           self.minerf = True
				   
			 if '.serving-sys.com' in self.current[0]:
			    if 'FlightInfo' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:1] + '1' + self.defound[2:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 1] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 2: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
		         if '.serving-sys.com' in self.current[0]:
			    if 'AdInfo' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:2] + '1' + self.defound[3:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 2] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 3: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
		         if '.serving-sys.com' in self.current[0]:
			    if 'CampaignInfo' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:3] + '1' + self.defound[4:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 3] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 4: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
		         if '.serving-sys.com' in self.current[0]:
			    if 'CampaignOnPublisherInfo' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:4] + '1' + self.defound[5:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 4] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 5: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
			 if 'bs.serving-sys.com' in self.current[0]:
			    if 'eyeblaster' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:5] + '1' + self.defound[6:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 5] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 6: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
		         if '.doubleclick.net' in self.current[0]:
			    if 'id' in self.current[5]:
		               if self.sclow == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:6] + '1' + self.defound[7:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 6] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 7: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objl = self.objl + 1
				   self.foundlog = self.foundlog + 1
				   self.lowlog = self.lowlog + 1
			           self.minerf = True
				   
			 if '.imrworldwide.com' in self.current[0]:
			    if 'IMRID' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:7] + '1' + self.defound[8:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 7] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 8: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
			 if '.doubleclick.net' in self.current[0]:
			    if 'test_cookie' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:8] + '1' + self.defound[9:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 8] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 9: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
			 if 'as1.falkag.de' in self.current[0]:
			    if 'TRG' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:9] + '1' + self.defound[10:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 9] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 10: len(self.delines)] 
				   
				   
				   #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
			 if 'as1.falkag.de' in self.current[0]:
			    if 'BSUID' in self.current[5]:
		               if self.sclow == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:10] + '1' + self.defound[11:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 10] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 11: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objl = self.objl + 1
				   self.foundlog = self.foundlog + 1
				   self.lowlog = self.lowlog + 1
			           self.minerf = True
				   
			 if 'as1.falkag.de' in self.current[0]:
			    if 'KIDYMD' in self.current[5]:
		               if self.schigh == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:11] + '1' + self.defound[12:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 11] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 12: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objh = self.objh + 1
				   self.foundlog = self.foundlog + 1
				   self.highlog = self.highlog + 1
			           self.minerf = True
				  
			 if 'as1.falkag.de' in self.current[0]:
			    if 'WIDYMD' in self.current[5]:
		               if self.sclow == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:12] + '1' + self.defound[13:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 12] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 13: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objl = self.objl + 1
				   self.foundlog = self.foundlog + 1
				   self.lowlog = self.lowlog + 1
			           self.minerf = True
				   
			 if '.studenti.adbureau.net' in self.current[0]:
			    if 'GUID' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:13] + '1' + self.defound[14:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 13] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 14: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
			 if '.servedby.netshelter.net' in self.current[0]:
			    if 'FCDEFAULT_W3SCHOOLS.W3SCHOOLS' in self.current[5]:
		               if self.schigh == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:14] + '1' + self.defound[15:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 14] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 15: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objh = self.objh + 1
				   self.foundlog = self.foundlog + 1
				   self.highlog = self.highlog + 1
			           self.minerf = True
			 
			 if '.atdmt.com' in self.current[0]:
			    if 'AA002' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:15] + '1' + self.defound[16:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 15] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 16: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
			 if '.trafficmp.com' in self.current[0]:
			    if 'u' in self.current[5]:
		               if self.sclow == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:16] + '1' + self.defound[17:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 16] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 17: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objl = self.objl + 1
				   self.foundlog = self.foundlog + 1
				   self.lowlog = self.lowlog + 1
			           self.minerf = True
				   
			 if '.trafficmp.com' in self.current[0]:
			    if 'ctime' in self.current[5]:
		               if self.sclow == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:17] + '1' + self.defound[18:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 17] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 18: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objl = self.objl + 1
				   self.foundlog = self.foundlog + 1
				   self.lowlog = self.lowlog + 1
			           self.minerf = True
				   
			 if '.trafficmp.com' in self.current[0]:
			    if 'loc' in self.current[5]:
		               if self.sclow == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:18] + '1' + self.defound[19:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 18] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 19: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objl = self.objl + 1
				   self.foundlog = self.foundlog + 1
				   self.lowlog = self.lowlog + 1
			           self.minerf = True
				   
			 if '.trafficmp.com' in self.current[0]:
			    if 'TMPFreqCap' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:19] + '1' + self.defound[20:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 19] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 20: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
			 if '.trafficmp.com' in self.current[0]:
			    if 'TMPCrByAS' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:20] + '1' + self.defound[21:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 20] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 21: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
			 if '.trafficmp.com' in self.current[0]:
			    if 'TMPPOByAS' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:21] + '1' + self.defound[22:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 21] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 22: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
		         if 'winfixer.com' in self.current[0]:
			    if 'aid' in self.current[5]:
		               if self.sclow == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:22] + '1' + self.defound[23:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 22] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 23: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objl = self.objl + 1
				   self.foundlog = self.foundlog + 1
				   self.lowlog = self.lowlog + 1
			           self.minerf = True
				   
			 if 'winfixer.com' in self.current[0]:
			    if 'lid' in self.current[5]:
		               if self.sclow == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:23] + '1' + self.defound[24:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 23] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 24: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objl = self.objl + 1
				   self.foundlog = self.foundlog + 1
				   self.lowlog = self.lowlog + 1
			           self.minerf = True
				   
			 if 'newadserver.interfree.it' in self.current[0]:
			    if 'i1' in self.current[5]:
		               if self.schigh == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:24] + '1' + self.defound[25:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 24] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 25: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objh = self.objh + 1
				   self.foundlog = self.foundlog + 1
				   self.highlog = self.highlog + 1
			           self.minerf = True
				   
			 if 'newadserver.interfree.it' in self.current[0]:
			    if 'i4' in self.current[5]:
		               if self.schigh == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:25] + '1' + self.defound[26:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 25] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 26: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objh = self.objh + 1
				   self.foundlog = self.foundlog + 1
				   self.highlog = self.highlog + 1
			           self.minerf = True
				   
			 if '.2o7.net' in self.current[0]:
			    if 's_vi_x7Babhx7Ckkx7Dkx7Cxxkx7Cx7D' in self.current[5]:
		               if self.schigh == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:26] + '1' + self.defound[27:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 26] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 27: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objh = self.objh + 1
				   self.foundlog = self.foundlog + 1
				   self.highlog = self.highlog + 1
			           self.minerf = True
				   
			 if 'www3.addfreestats.com' in self.current[0]:
			    if 'NC1U' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:27] + '1' + self.defound[28:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 27] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 28: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
			 if '.perf.overture.com' in self.current[0]:
			    if 'SYSTEM_USER_ID' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:28] + '1' + self.defound[29:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 28] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 29: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
			 if '.casalemedia.com' in self.current[0]:
			    if 'CMID' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:29] + '1' + self.defound[30:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 29] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 30: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
			 if '.casalemedia.com' in self.current[0]:
			    if 'CMX1' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:30] + '1' + self.defound[31:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 30] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 31: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
			 if '.casalemedia.com' in self.current[0]:
			    if 'CMS' in self.current[5]:
		               if self.sclow == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:31] + '1' + self.defound[32:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 31] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 32: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objl = self.objl + 1
				   self.foundlog = self.foundlog + 1
				   self.lowlog = self.lowlog + 1
			           self.minerf = True
				   
			 if '.casalemedia.com' in self.current[0]:
			    if 'CMIMP' in self.current[5]:
		               if self.sclow == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:32] + '1' + self.defound[33:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 32] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 33: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objl = self.objl + 1
				   self.foundlog = self.foundlog + 1
				   self.lowlog = self.lowlog + 1
			           self.minerf = True
				   
			 if '.fortunecity.com' in self.current[0]:
			    if 'c4079' in self.current[5]:
		               if self.sclow == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:33] + '1' + self.defound[34:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 33] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 34: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objl = self.objl + 1
				   self.foundlog = self.foundlog + 1
				   self.lowlog = self.lowlog + 1
			           self.minerf = True
				   
			 if '.fortunecity.com' in self.current[0]:
			    if 'RMID' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:34] + '1' + self.defound[35:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 34] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 35: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
			 if '.fastclick.net' in self.current[0]:
			    if 'pluto' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:35] + '1' + self.defound[36:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 35] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 36: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
			 if '.fastclick.net' in self.current[0]:
			    if 'm2' in self.current[5]:
		               if self.sclow == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:36] + '1' + self.defound[37:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 36] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 37: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objl = self.objl + 1
				   self.foundlog = self.foundlog + 1
				   self.lowlog = self.lowlog + 1
			           self.minerf = True
				   
			 if '.fastclick.net' in self.current[0]:
			    if 'vt' in self.current[5]:
		               if self.scmed == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:37] + '1' + self.defound[38:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 37] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 38: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objm = self.objm + 1
				   self.foundlog = self.foundlog + 1
				   self.medlog = self.medlog + 1
			           self.minerf = True
				   
			 if '.z1.adserver.com' in self.current[0]:
			    if 'xon' in self.current[5]:
		               if self.sclow == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:38] + '1' + self.defound[39:len(self.defound)]
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 38] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex) + self.delines[self.txtlen * 39: len(self.delines)] 
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objl = self.objl + 1
				   self.foundlog = self.foundlog + 1
				   self.lowlog = self.lowlog + 1
			           self.minerf = True
				   
			 if '.z1.adserver.com' in self.current[0]:
			    if 'z14' in self.current[5]:
		               if self.sclow == 'True':
				   self.obji = self.obji + 1
				   self.ignorelog = self.ignorelog + 1
			       else:
			           self.defound = self.defound[0:39] + '1'
				   cookiexlen = str(self.cookiex)
			           cookiexlen = len(cookiexlen)
				   self.delines = self.delines[0 : self.txtlen * 39] + ('0' * (self.txtlen - cookiexlen)) + str(self.cookiex)
				   
				   
			           #Refresh vars
			           self.objf = self.objf + 1
			           self.objl = self.objl + 1
				   self.foundlog = self.foundlog + 1
				   self.lowlog = self.lowlog + 1
			           self.minerf = True
				   
				   
				   
				   
		                   
				
			 #Refresh list
			 self.refreshl()
			 self.cookiex = self.cookiex + 1
			 while gtk.events_pending():
                             gtk.main_iteration(False)
			 
			 
		   #Set buttons
		   if self.minerf is True:
			   self.closebut.set_sensitive(False)
			   self.scansbut.set_sensitive(False)
			   self.finbut.set_sensitive(True)
			   self.rmbut.set_sensitive(True)
		   else:
			   self.closebut.set_sensitive(False)
			   self.scansbut.set_sensitive(False)
			   self.finbut.set_sensitive(True)
			   self.rmbut.set_sensitive(False)
			 
			
		else:
	           self.scansbut.set_sensitive(False)
	           self.error2.show()
		   resp = self.error2.run()
                   if resp == gtk.RESPONSE_CLOSE:
                      self.error2.destroy()
		   self.error2.destroy()
		
		
		
	else:
		self.scansbut.set_sensitive(False)
		self.error1.show()
		resp = self.error1.run()
                if resp == gtk.RESPONSE_CLOSE:
                      self.error1.destroy()
		self.error1.destroy()
    def refreshl(self):
	     #progress bar
	     cookiexD = float(self.cookiex)
	     cookiexD = cookiexD - 4
	     cookietotD = float(self.cookietot)
	     cookietotD = cookietotD - 4
	     atr = cookiexD / cookietotD
	     atr = str(atr)
	     atr = atr[0:4]
	     atr = float(atr)
	     self.bar1.set_fraction(atr)
	     
	     #progress bar text
	     atrstr = str(atr)
	     if (atrstr[0:1] == '1'):
		     atrstr = '100%'
	     else:
		     atrstr = atrstr[2:4] 
		     if (len(atrstr) == 1):
		            atrstr = atrstr + '0'
		     atrstr = atrstr + '%'
	     self.bar1.set_text(atrstr)
	     
	     #progress label
	     self.cc = int(self.cc)
	     self.cc = self.cookiex - 4
	     self.objc = self.cc
	     self.cc = str(self.cc)
	     self.progresslab.set_text(self.config.get('LanguageFile','38') + ' ' + str(self.cc))
	     
	    #Statstore
	     self.statstore.set_value(self.statstore.get_iter(0),1, self.objf)
	     self.statstore.set_value(self.statstore.get_iter(1),1, self.objc)
	     self.statstore.set_value(self.statstore.get_iter(2),1, self.objh)
	     self.statstore.set_value(self.statstore.get_iter(3),1, self.objm)
	     self.statstore.set_value(self.statstore.get_iter(4),1, self.objl)
	     self.statstore.set_value(self.statstore.get_iter(5),1, self.obji)

    def finish(self, widget, data=None):
	    #Others Dialog
	    self.confirm = gtk.MessageDialog(None, 0, gtk.MESSAGE_WARNING, gtk.BUTTONS_YES_NO, self.config.get('LanguageFile','52'))
	    self.confirm.set_title(self.config.get('LanguageFile','66'))
	    self.confirm.set_modal(True)
	    self.confirm.set_transient_for(self.winsc)
	    if self.minerf is True:
		    self.confirm.show()
		    resp = self.confirm.run()
                    if resp == gtk.RESPONSE_YES:
		       self.nscan = self.nscan + 1
		       #HERE
		       if self.defound[0] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[1] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[2] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[3] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[4] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[5] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[6] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[7] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[8] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[9] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[10] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[11] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[12] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[13] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[14] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[15] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[16] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[17] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[18] == '1':
			       self.nfound = self.nfound + 1
	               if self.defound[19] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[20] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[21] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[22] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[23] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[24] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[25] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[26] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[27] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[28] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[29] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[30] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[31] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[32] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[33] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[34] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[35] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[36] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[37] == '1':
			       self.nfound = self.nfound + 1
	               if self.defound[38] == '1':
			       self.nfound = self.nfound + 1
		       if self.defound[39] == '1':
			       self.nfound = self.nfound + 1
		       self.rewrite(self)
		       self.refresh(self)
                       self.confirm.destroy()
		       self.winsc.destroy()
		       
		       #Write log
	               self.checklog = self.objc
	               if 'True' in self.scwrite:
		          self.write_log(self)
		       if resp == gtk.RESPONSE_NO:
		        self.winsc.show()
                        self.confirm.destroy()
		    self.confirm.destroy()
	    else:
		    self.nscan = self.nscan + 1
		    self.rewrite(self.rewrite)
		    self.refresh(self.refresh)
		    self.winsc.destroy()
		    
		    #Write log
	            self.checklog = self.objc
	            if 'True' in self.scwrite:
		        self.write_log(self)
    def finishscan(self, widget, data=None):
	    if self.scanex:
	       self.nscan = self.nscan + 1
	    #HERE
	    if self.defound[0] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[1] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[2] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[3] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[4] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[5] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[6] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[7] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[8] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[9] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[10] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[11] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[12] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[13] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[14] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[15] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[16] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[17] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[18] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[19] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[20] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[21] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[22] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[23] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[24] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[25] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[26] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[27] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[28] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[29] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[30] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[31] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[32] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[33] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[34] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[35] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[36] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[37] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[38] == '1':
	       self.nfound = self.nfound + 1
	    if self.defound[39] == '1':
	       self.nfound = self.nfound + 1

	    self.rewrite(self)
	    self.refresh(self)
            self.winsc.destroy()
	    
	    #Write log
	    self.checklog = self.objc
	    if 'True' in self.scwrite:
		    self.write_log(self)
		  
    def removetool(self, widget):
	#Window
	self.winrm = gtk.Window(gtk.WINDOW_TOPLEVEL)
	self.winrm.connect("delete_event", self.rmchecked)
        self.winrm.connect("delete_event", self.delete_event)
	self.winrm.set_position(gtk.WIN_POS_MOUSE)
	self.winrm.set_default_size(491, 230)
        self.winrm.set_resizable(True)
        self.winrm.set_title(self.config.get('LanguageFile','42'))
	self.winrm.set_modal(True)
	self.winrm.set_transient_for(self.winsc)
	
	#Table
	self.cookietable = gtk.Table(3, 5, False)
	
	#ListStore
        self.cookiestore = gtk.ListStore(str, bool, str, str, str, int)
	#HERE
	if self.defound[0] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'p20566', '.tradedoubler.com', self.config.get('LanguageFile','69'), 1])
	if self.defound[1] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'FlightInfo', '.serving-sys.com', self.config.get('LanguageFile','68'), 2])
	if self.defound[2] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'AdInfo', '.serving-sys.com', self.config.get('LanguageFile','68'), 3])
	if self.defound[3] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'CampaignInfo', '.serving-sys.com', self.config.get('LanguageFile','68'), 4])
	if self.defound[4] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'CampaignOnPublisherInfo', '.serving-sys.com', self.config.get('LanguageFile','68'), 5])
	if self.defound[5] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'eyeblaster', 'bs.serving-sys.com', self.config.get('LanguageFile','68'), 6])
	if self.defound[6] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'id', '.doubleclick.net', self.config.get('LanguageFile','69'), 7])
	if self.defound[7] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'IMRID', '.imrworldwide.com', self.config.get('LanguageFile','68'), 8])
	if self.defound[8] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'test_cookie', '.doubleclick.net', self.config.get('LanguageFile','68'), 9])
	if self.defound[9] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'TRG', 'as1.falkag.de', self.config.get('LanguageFile','68'), 10])
	if self.defound[10] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'BSUID', 'as1.falkag.de', self.config.get('LanguageFile','69'), 11])
	if self.defound[11] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'KIDYMD', 'as1.falkag.de', self.config.get('LanguageFile','67'), 12])
	if self.defound[12] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'WIDYMD', 'as1.falkag.de', self.config.get('LanguageFile','69'), 13])
	if self.defound[13] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'GUID', '.studenti.adbureau.net', self.config.get('LanguageFile','68'), 14])
	if self.defound[14] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'FCDEFAULT_W3SCHOOLS.W3SCHOOLS', '.servedby.netshelter.net', self.config.get('LanguageFile','67'), 15])
	if self.defound[15] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'AA002', '.atdmt.com', self.config.get('LanguageFile','68'), 16])
	if self.defound[16] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'u', '.trafficmp.com', self.config.get('LanguageFile','69'), 17])
	if self.defound[17] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'ctime', '.trafficmp.com', self.config.get('LanguageFile','69'), 18])
	if self.defound[18] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'loc', '.trafficmp.com', self.config.get('LanguageFile','69'), 19])
	if self.defound[19] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'TMPFreqCap', '.trafficmp.com', self.config.get('LanguageFile','68'), 20])
	if self.defound[20] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'TMPCrByAS', '.trafficmp.com', self.config.get('LanguageFile','68'), 21])
	if self.defound[21] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'TMPPOByAS', '.trafficmp.com', self.config.get('LanguageFile','68'), 22])
	if self.defound[22] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'aid', 'winfixer.com', self.config.get('LanguageFile','69'), 23])
	if self.defound[23] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'lid', 'winfixer.com', self.config.get('LanguageFile','69'), 24])
	if self.defound[24] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'il', 'newadserver.interfree.it', self.config.get('LanguageFile','67'), 25])
	if self.defound[25] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'i4', 'newadserver.interfree.it', self.config.get('LanguageFile','67'), 26])
	if self.defound[26] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 's_vi_x7Babhx7Ckkx7Dkx7Cxxkx7Cx7D', '.2o7.net', self.config.get('LanguageFile','67'), 27])
	if self.defound[27] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'NC1U', 'www3.addfreestats.com', self.config.get('LanguageFile','68'), 28])
	if self.defound[28] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'SYSTEM_USER_ID', '.perf.overture.com', self.config.get('LanguageFile','68'), 29])
	if self.defound[29] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'CMID', '.casalemedia.com', self.config.get('LanguageFile','68'), 30])
	if self.defound[30] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'CMX1', '.casalemedia.com', self.config.get('LanguageFile','68'), 31])
	if self.defound[31] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'CMS', '.casalemedia.com', self.config.get('LanguageFile','69'), 32])
	if self.defound[32] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'CMIMP', '.casalemedia.com', self.config.get('LanguageFile','69'), 33])
	if self.defound[33] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'c4079', '.fortunecity.com', self.config.get('LanguageFile','69'), 34])
	if self.defound[34] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'RMID', '.fortunecity.com', self.config.get('LanguageFile','68'), 35])
	if self.defound[35] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'pluto', '.fastclick.net', self.config.get('LanguageFile','68'), 36])
	if self.defound[36] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'm2', '.fastclick.net', self.config.get('LanguageFile','69'), 37])
	if self.defound[37] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'vt', '.fastclick.net', self.config.get('LanguageFile','68'), 38])
	if self.defound[38] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'xon', '.z1.adserver.com', self.config.get('LanguageFile','69'), 39])
	if self.defound[39] == '1':
           self.cookiestore.append([gtk.STOCK_DIALOG_WARNING ,False, 'z14', '.z1.adserver.com', self.config.get('LanguageFile','69'), 40])
	   
	#TreeView
	self.cookieview = gtk.TreeView(self.cookiestore)
	self.cookieview.set_rules_hint(True)
	
	#TreeViewColums
	self.column1 = gtk.TreeViewColumn('          ')
	self.column1.set_resizable(True)
	self.column2 = gtk.TreeViewColumn(self.config.get('LanguageFile','54') + '    ')
	self.column2.set_resizable(True)
	self.column3 = gtk.TreeViewColumn(self.config.get('LanguageFile','55') + '    ')
	self.column3.set_resizable(True)
	self.column4 = gtk.TreeViewColumn(self.config.get('LanguageFile','56') + '    ')
	self.columnid = gtk.TreeViewColumn(None)
	self.columnid.set_visible(False)
	
	#Append columns
	self.cookieview.append_column(self.column1)
	self.cookieview.append_column(self.column2)
	self.cookieview.append_column(self.column3)
	self.cookieview.append_column(self.column4)
	self.cookieview.append_column(self.columnid)
	
	#Cellrenderers2
	self.cell1 = gtk.CellRendererPixbuf()
	self.cell2 = gtk.CellRendererToggle()
	self.cell2.set_property('activatable', True)
	self.cell2.connect('toggled', self.check, iter)
	self.cell3 = gtk.CellRendererText()
	self.cell4 = gtk.CellRendererText()
	self.cell5 = gtk.CellRendererText()
	self.cell6 = gtk.CellRendererText()
	
	#add cell renderers
	self.column1.pack_start(self.cell1, True)
	self.column1.pack_start(self.cell2, True)
	self.column2.pack_start(self.cell3, True)
	self.column3.pack_start(self.cell4, True)
	self.column4.pack_start(self.cell5, True)
	self.columnid.pack_start(self.cell6, True)
	
	#set attributes
	self.column1.set_attributes(self.cell1, stock_id=0)
	self.column1.set_attributes(self.cell2, active=1)
	self.column2.set_attributes(self.cell3, text=2)
	self.column3.set_attributes(self.cell4, text=3)
	self.column4.set_attributes(self.cell5, text=4)
	self.columnid.set_attributes(self.cell6, text=5)
	self.cell1.set_property('stock-size', gtk.ICON_SIZE_LARGE_TOOLBAR)
	
	#Box Button Remove sel
	self.rmtbox = gtk.HBox(False, 0)
	self.rmtimage= gtk.image_new_from_stock(gtk.STOCK_DELETE, gtk.ICON_SIZE_SMALL_TOOLBAR)
	self.rmtlab = gtk.Label(' ' + self.config.get('LanguageFile','57'))
	self.rmtbox.pack_start(self.rmtimage, False, 1)
	self.rmtbox.pack_start(self.rmtlab, True, 1)
	self.rmtbut = gtk.Button()
	self.rmtbut.add(self.rmtbox)
	self.rmtbut.connect('clicked', self.removesele)
	
	#Box Button Select all
	self.seabox = gtk.HBox(False, 0)
	self.seaimage= gtk.image_new_from_stock(gtk.STOCK_DND_MULTIPLE, gtk.ICON_SIZE_SMALL_TOOLBAR)
	self.sealab = gtk.Label(' ' + self.config.get('LanguageFile','58'))
	self.seabox.pack_start(self.seaimage, False, 1)
	self.seabox.pack_start(self.sealab, True, 1)
	self.seabut = gtk.Button()
	self.seabut.add(self.seabox)
	self.seabut.connect('clicked', self.Select_all)
	
	#Box Button Close
	self.closebox01 = gtk.HBox(False, 0)
	self.closeimage01= gtk.image_new_from_stock(gtk.STOCK_CLOSE, gtk.ICON_SIZE_SMALL_TOOLBAR)
	self.closelab01 = gtk.Label(self.config.get('LanguageFile','39'))
	self.closebox01.pack_start(self.closeimage01, False, 1)
	self.closebox01.pack_start(self.closelab01, True, 1)
	self.closebut01= gtk.Button()
	self.closebut01.add(self.closebox01)
	self.closebut01.connect("clicked", self.rmchecked, self)
	self.closebut01.connect_object("clicked", gtk.Widget.destroy, self.winrm)
	
	#Label
	self.rmlabel = gtk.Label(self.config.get('LanguageFile','59'))
	
	#Button box
	self.brbox = gtk.HBox(False, 0)
	self.brbox.pack_start(self.rmtbut, False, 1)
	self.brbox.pack_start(self.seabut, False, 1)
	self.brbox.pack_start(self.closebut01, False, 1)
	
	#Scrolled Window
	self.swin = gtk.ScrolledWindow(None, None)
	self.swin.set_policy(gtk.POLICY_NEVER, gtk.POLICY_ALWAYS)
	self.swin.add(self.cookieview)
	
	#Table show
	self.cookietable.attach(self.swin, 0, 3, 0, 1, gtk.EXPAND|gtk.FILL, gtk.EXPAND|gtk.FILL)
	self.cookietable.attach(self.rmlabel, 0, 2, 1, 2, gtk.EXPAND|gtk.FILL, gtk.FILL)
	self.cookietable.attach(self.brbox, 2, 3, 1, 2, gtk.EXPAND|gtk.FILL, gtk.FILL)
	
	self.winrm.add(self.cookietable)
	self.winrm.show_all()
	
	#Focus
	self.winrm.set_focus(None)
	
    def check(self,widget,iter,data=None):
	ID = self.cookiestore.get_value(self.cookiestore.get_iter(iter),5)
	#HERE
	if ID == 1:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= '0' + self.decheck[1:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= '1' + self.decheck[1:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
        if ID == 2:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:1] + '0' + self.decheck[2:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:1] + '1' + self.decheck[2:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		 
        if ID == 3:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:2] + '0' + self.decheck[3:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:2] + '1' + self.decheck[3:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
        if ID == 4:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:3] + '0' + self.decheck[4:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:3] + '1' + self.decheck[4:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
	
	if ID == 5:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:4] + '0' + self.decheck[5:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:4] + '1' + self.decheck[5:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 6:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:5] + '0' + self.decheck[6:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:5] + '1' + self.decheck[6:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
        if ID == 7:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:6] + '0' + self.decheck[7:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:6] + '1' + self.decheck[7:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 8:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:7] + '0' + self.decheck[8:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:7] + '1' + self.decheck[8:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 9:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:8] + '0' + self.decheck[9:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:8] + '1' + self.decheck[9:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 10:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:9] + '0' + self.decheck[10:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:9] + '1' + self.decheck[10:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 11:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:10] + '0' + self.decheck[11:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:10] + '1' + self.decheck[11:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 12:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:11] + '0' + self.decheck[12:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:11] + '1' + self.decheck[12:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 13:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:12] + '0' + self.decheck[13:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:12] + '1' + self.decheck[13:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 14:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:13] + '0' + self.decheck[14:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:13] + '1' + self.decheck[14:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 15:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:14] + '0' + self.decheck[15:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:14] + '1' + self.decheck[15:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 16:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:15] + '0' + self.decheck[16:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:15] + '1' + self.decheck[16:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 17:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:16] + '0' + self.decheck[17:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:16] + '1' + self.decheck[17:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 18:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:17] + '0' + self.decheck[18:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:17] + '1' + self.decheck[18:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
        if ID == 19:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:18] + '0' + self.decheck[19:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:18] + '1' + self.decheck[19:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 20:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:19] + '0' + self.decheck[20:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:19] + '1' + self.decheck[20:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 21:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:20] + '0' + self.decheck[21:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:20] + '1' + self.decheck[21:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 22:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:21] + '0' + self.decheck[22:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:21] + '1' + self.decheck[22:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 23:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:22] + '0' + self.decheck[23:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:22] + '1' + self.decheck[23:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 24:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:23] + '0' + self.decheck[24:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:23] + '1' + self.decheck[24:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 25:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:24] + '0' + self.decheck[25:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:24] + '1' + self.decheck[25:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 26:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:25] + '0' + self.decheck[26:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:25] + '1' + self.decheck[26:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 27:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:26] + '0' + self.decheck[27:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:26] + '1' + self.decheck[27:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 28:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:27] + '0' + self.decheck[28:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:27] + '1' + self.decheck[28:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 29:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:28] + '0' + self.decheck[29:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:28] + '1' + self.decheck[29:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 30:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:29] + '0' + self.decheck[30:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:29] + '1' + self.decheck[30:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 31:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:30] + '0' + self.decheck[31:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:30] + '1' + self.decheck[31:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 32:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:31] + '0' + self.decheck[32:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:31] + '1' + self.decheck[32:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 33:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:32] + '0' + self.decheck[33:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:32] + '1' + self.decheck[33:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 34:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:33] + '0' + self.decheck[34:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:33] + '1' + self.decheck[34:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 35:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:34] + '0' + self.decheck[35:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:34] + '1' + self.decheck[35:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 36:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:35] + '0' + self.decheck[36:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:35] + '1' + self.decheck[36:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 37:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:36] + '0' + self.decheck[37:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:36] + '1' + self.decheck[37:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 38:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:37] + '0' + self.decheck[38:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:37] + '1' + self.decheck[38:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 39:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:38] + '0' + self.decheck[39:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:38] + '1' + self.decheck[39:len(self.decheck)]
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
		  
	if ID == 40:
		if self.cookiestore.get_value(self.cookiestore.get_iter(iter),1) is True:
		  self.decheck= self.decheck[0:39] + '0'
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, False)
		else:
	          self.decheck= self.decheck[0:39] + '1'
	          self.cookiestore.set_value(self.cookiestore.get_iter(iter),1, True)
	
		
    def removesele(self, widget):
	#Count deleted obj
	deleted = 0
	#HERE
	if self.defound[0] == '1':
	   if self.decheck[0] == '1':
		deleted = deleted + 1
        
        if self.defound[1] == '1':
	   if self.decheck[1] == '1':
		deleted = deleted + 1
		
	if self.defound[2] == '1':
	   if self.decheck[2] == '1':
		deleted = deleted + 1
		
	if self.defound[3] == '1':
	   if self.decheck[3] == '1':
		deleted = deleted + 1
		
	if self.defound[4] == '1':
	   if self.decheck[4] == '1':
		deleted = deleted + 1
		
        if self.defound[5] == '1':
	   if self.decheck[5] == '1':
		deleted = deleted + 1
		
        if self.defound[6] == '1':
	   if self.decheck[6] == '1':
		deleted = deleted + 1
		
	if self.defound[7] == '1':
	   if self.decheck[7] == '1':
		deleted = deleted + 1
	
	if self.defound[8] == '1':
	   if self.decheck[8] == '1':
		deleted = deleted + 1
		
	if self.defound[9] == '1':
	   if self.decheck[9] == '1':
		deleted = deleted + 1
		
	if self.defound[10] == '1':
	   if self.decheck[10] == '1':
		deleted = deleted + 1
		
	if self.defound[11] == '1':
	   if self.decheck[11] == '1':
		deleted = deleted + 1
		
	if self.defound[12] == '1':
	   if self.decheck[12] == '1':
		deleted = deleted + 1
		
	if self.defound[13] == '1':
	   if self.decheck[13] == '1':
		deleted = deleted + 1
		
	if self.defound[14] == '1':
	   if self.decheck[14] == '1':
		deleted = deleted + 1
		
	if self.defound[15] == '1':
	   if self.decheck[15] == '1':
		deleted = deleted + 1
		
	if self.defound[16] == '1':
	   if self.decheck[16] == '1':
		deleted = deleted + 1
		
	if self.defound[17] == '1':
	   if self.decheck[17] == '1':
		deleted = deleted + 1
		
	if self.defound[18] == '1':
	   if self.decheck[18] == '1':
		deleted = deleted + 1
		
	if self.defound[19] == '1':
	   if self.decheck[19] == '1':
		deleted = deleted + 1
		
	if self.defound[20] == '1':
	   if self.decheck[20] == '1':
		deleted = deleted + 1
		
	if self.defound[21] == '1':
	   if self.decheck[21] == '1':
		deleted = deleted + 1
		
	if self.defound[22] == '1':
	   if self.decheck[22] == '1':
		deleted = deleted + 1
		
	if self.defound[23] == '1':
	   if self.decheck[23] == '1':
		deleted = deleted + 1
		
	if self.defound[24] == '1':
	   if self.decheck[24] == '1':
		deleted = deleted + 1
		
	if self.defound[25] == '1':
	   if self.decheck[25] == '1':
		deleted = deleted + 1
		
	if self.defound[26] == '1':
	   if self.decheck[26] == '1':
		deleted = deleted + 1
		
	if self.defound[27] == '1':
	   if self.decheck[27] == '1':
		deleted = deleted + 1
		
	if self.defound[28] == '1':
	   if self.decheck[28] == '1':
		deleted = deleted + 1
		
	if self.defound[29] == '1':
	   if self.decheck[29] == '1':
		deleted = deleted + 1
		
	if self.defound[30] == '1':
	   if self.decheck[30] == '1':
		deleted = deleted + 1
		
	if self.defound[31] == '1':
	   if self.decheck[31] == '1':
		deleted = deleted + 1
		
	if self.defound[32] == '1':
	   if self.decheck[32] == '1':
		deleted = deleted + 1
		
	if self.defound[33] == '1':
	   if self.decheck[33] == '1':
		deleted = deleted + 1
		
        if self.defound[34] == '1':
	   if self.decheck[34] == '1':
		deleted = deleted + 1
		
	if self.defound[35] == '1':
	   if self.decheck[35] == '1':
		deleted = deleted + 1
		
	if self.defound[36] == '1':
	   if self.decheck[36] == '1':
		deleted = deleted + 1
		
	if self.defound[37] == '1':
	   if self.decheck[37] == '1':
		deleted = deleted + 1
		
	if self.defound[38] == '1':
	   if self.decheck[38] == '1':
		deleted = deleted + 1
		
	if self.defound[39] == '1':
	   if self.decheck[39] == '1':
		deleted = deleted + 1
		
		
		
	deleted = str(deleted)
	#Advert
	if self.scwrite == 'True':
		self.adv2 = self.config.get('LanguageFile','60')
	if self.scwrite == 'False':
		self.adv2 = self.config.get('LanguageFile','61')
	adv = self.config.get('LanguageFile','62') + ' ' + deleted + '/' + str(self.objf) + ' ' + self.config.get('LanguageFile','63') + '\n' + self.adv2 + '\n' + '_______________\n' + self.config.get('LanguageFile','64') + '\n' + self.config.get('LanguageFile','65')
		
	self.advert = gtk.MessageDialog(None, 0, gtk.MESSAGE_QUESTION, gtk.BUTTONS_YES_NO, adv)
	self.advert.set_title(self.config.get('LanguageFile','66'))
	self.advert.set_modal(True)
	self.advert.set_transient_for(self.winsc)
	
		
	self.advert.show()
        resp = self.advert.run()
        if resp == gtk.RESPONSE_NO:
           self.advert.destroy()
	   
        if resp == gtk.RESPONSE_YES:
           self.advert.destroy()
	   #Delete list file
	   self.nscan = self.nscan + 1
	   self.nrem = self.nrem + int(deleted)
	   #HERE
	   if self.defound[0] == '1':
	      if self.decheck[0] == '1':
		self.cookiecon[int(self.delines[0:self.txtlen])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrlow = self.nrlow + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[1] == '1':
	      if self.decheck[1] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 1 : self.txtlen * 2])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[2] == '1':
	      if self.decheck[2] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 2 : self.txtlen * 3])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[3] == '1':
	      if self.decheck[3] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 3 : self.txtlen * 4])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
           
	   if self.defound[4] == '1':
	      if self.decheck[4] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 4 : self.txtlen * 5])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[5] == '1':
	      if self.decheck[5] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 5 : self.txtlen * 6])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[6] == '1':
	      if self.decheck[6] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 6 : self.txtlen * 7])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrlow = self.nrlow + 1
		self.removelog = self.removelog + 1
		
           if self.defound[7] == '1':
	      if self.decheck[7] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 7 : self.txtlen * 8])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
           if self.defound[8] == '1':
	      if self.decheck[8] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 8 : self.txtlen * 9])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
           if self.defound[9] == '1':
	      if self.decheck[9] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 9 : self.txtlen * 10])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[10] == '1':
	      if self.decheck[10] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 10 : self.txtlen * 11])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrlow = self.nrlow + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[11] == '1':
	      if self.decheck[11] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 11 : self.txtlen * 12])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrhigh = self.nrhigh + 1
		self.removelog = self.removelog + 1
		
           if self.defound[12] == '1':
	      if self.decheck[12] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 12 : self.txtlen * 13])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrlow = self.nrlow + 1
		self.removelog = self.removelog + 1
		
           if self.defound[13] == '1':
	      if self.decheck[13] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 13 : self.txtlen * 14])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
           if self.defound[14] == '1':
	      if self.decheck[14] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 14 : self.txtlen * 15])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrhigh = self.nrhigh + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[15] == '1':
	      if self.decheck[15] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 15 : self.txtlen * 16])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[16] == '1':
	      if self.decheck[16] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 16 : self.txtlen * 17])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrlow = self.nrlow + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[17] == '1':
	      if self.decheck[17] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 17 : self.txtlen * 18])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrlow = self.nrlow + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[18] == '1':
	      if self.decheck[18] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 18 : self.txtlen * 19])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrlow = self.nrlow + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[19] == '1':
	      if self.decheck[19] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 19 : self.txtlen * 20])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[20] == '1':
	      if self.decheck[20] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 20 : self.txtlen * 21])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[21] == '1':
	      if self.decheck[21] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 21 : self.txtlen * 22])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[22] == '1':
	      if self.decheck[22] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 22 : self.txtlen * 23])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrlow = self.nrlow + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[23] == '1':
	      if self.decheck[23] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 23 : self.txtlen * 24])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrlow = self.nrlow + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[24] == '1':
	      if self.decheck[24] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 24 : self.txtlen * 25])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrhigh = self.nrhigh + 1
		self.removelog = self.removelog + 1
		
           if self.defound[25] == '1':
	      if self.decheck[25] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 25 : self.txtlen * 26])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrhigh = self.nrhigh + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[26] == '1':
	      if self.decheck[26] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 26 : self.txtlen * 27])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrhigh = self.nrhigh + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[27] == '1':
	      if self.decheck[27] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 27 : self.txtlen * 28])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
           if self.defound[28] == '1':
	      if self.decheck[28] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 28 : self.txtlen * 29])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[29] == '1':
	      if self.decheck[29] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 29 : self.txtlen * 30])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[30] == '1':
	      if self.decheck[30] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 30 : self.txtlen * 31])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[31] == '1':
	      if self.decheck[31] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 31 : self.txtlen * 32])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrlow = self.nrlow + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[32] == '1':
	      if self.decheck[32] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 32 : self.txtlen * 33])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrlow = self.nrlow + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[33] == '1':
	      if self.decheck[33] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 33 : self.txtlen * 34])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrlow = self.nrlow + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[34] == '1':
	      if self.decheck[34] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 34 : self.txtlen * 35])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[35] == '1':
	      if self.decheck[35] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 35 : self.txtlen * 36])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[36] == '1':
	      if self.decheck[36] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 36 : self.txtlen * 37])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrlow = self.nrlow + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[37] == '1':
	      if self.decheck[37] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 37 : self.txtlen * 38])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrmed = self.nrmed + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[38] == '1':
	      if self.decheck[38] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 38 : self.txtlen * 39])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrlow = self.nrlow + 1
		self.removelog = self.removelog + 1
		
	   if self.defound[39] == '1':
	      if self.decheck[39] == '1':
		self.cookiecon[int(self.delines[self.txtlen * 39 : self.txtlen * 40])] = 'remove'
		self.nfound = self.nfound + 1
		self.nrlow = self.nrlow + 1
		self.removelog = self.removelog + 1
		

	   listcookie = len(self.cookiecon)
	   ccookie = listcookie - 1
	   
	   #Delete cicle
	   while ccookie > 0:
		   currentcookie = self.cookiecon[ccookie]
		   if currentcookie == 'remove':
			del self.cookiecon[ccookie]
			listcookie = len(self.cookiecon)
			ccookie = listcookie - 1
		   else:
			ccookie = ccookie - 1
			
	   
           #Delete file str
	   datain = open(self.spath, 'w')
	   datain.flush()
	   datain.writelines(self.cookiecon)
	   self.rewrite(self.rewrite)
	   self.refresh(self.refresh)
	   self.advert.destroy()
	   self.winrm.destroy()
	   self.winsc.destroy()
	   
	   #Write log
	   self.checklog = self.objc
	   if 'True' in self.scwrite:
		   self.write_log(self)
		   
	   
	self.advert.destroy()
		
	
	
    def rmchecked(self, widget, path):
	
	#HERE
	#Remove all checked
	self.decheck = '0' + self.decheck[1:40]
	self.decheck = self.decheck[0:1] + '0' + self.decheck[2:40]
	self.decheck = self.decheck[0:2] + '0' + self.decheck[3:40]
	self.decheck = self.decheck[0:3] + '0' + self.decheck[4:40]
	self.decheck = self.decheck[0:4] + '0' + self.decheck[5:40]
	self.decheck = self.decheck[0:5] + '0' + self.decheck[6:40]
	self.decheck = self.decheck[0:6] + '0' + self.decheck[7:40]
	self.decheck = self.decheck[0:7] + '0' + self.decheck[8:40]
	self.decheck = self.decheck[0:8] + '0' + self.decheck[9:40]
	self.decheck = self.decheck[0:9] + '0' + self.decheck[10:40]
	self.decheck = self.decheck[0:10] + '0' + self.decheck[11:40]
	self.decheck = self.decheck[0:11] + '0' + self.decheck[12:40]
	self.decheck = self.decheck[0:12] + '0' + self.decheck[13:40]
	self.decheck = self.decheck[0:13] + '0' + self.decheck[14:40]
	self.decheck = self.decheck[0:14] + '0' + self.decheck[15:40]
	self.decheck = self.decheck[0:15] + '0' + self.decheck[16:40]
	self.decheck = self.decheck[0:16] + '0' + self.decheck[17:40]
	self.decheck = self.decheck[0:17] + '0' + self.decheck[18:40]
	self.decheck = self.decheck[0:18] + '0' + self.decheck[19:40]
	self.decheck = self.decheck[0:19] + '0' + self.decheck[20:40]
	self.decheck = self.decheck[0:20] + '0' + self.decheck[21:40]
	self.decheck = self.decheck[0:21] + '0' + self.decheck[22:40]
	self.decheck = self.decheck[0:22] + '0' + self.decheck[23:40]
	self.decheck = self.decheck[0:23] + '0' + self.decheck[24:40]
	self.decheck = self.decheck[0:24] + '0' + self.decheck[25:40]
	self.decheck = self.decheck[0:25] + '0' + self.decheck[26:40]
	self.decheck = self.decheck[0:26] + '0' + self.decheck[27:40]
	self.decheck = self.decheck[0:27] + '0' + self.decheck[28:40]
	self.decheck = self.decheck[0:28] + '0' + self.decheck[29:40]
	self.decheck = self.decheck[0:29] + '0' + self.decheck[30:40]
	self.decheck = self.decheck[0:30] + '0' + self.decheck[31:40]
	self.decheck = self.decheck[0:31] + '0' + self.decheck[32:40]
	self.decheck = self.decheck[0:32] + '0' + self.decheck[33:40]
	self.decheck = self.decheck[0:33] + '0' + self.decheck[34:40]
	self.decheck = self.decheck[0:34] + '0' + self.decheck[35:40]
	self.decheck = self.decheck[0:35] + '0' + self.decheck[36:40]
	self.decheck = self.decheck[0:36] + '0' + self.decheck[37:40]
	self.decheck = self.decheck[0:37] + '0' + self.decheck[38:40]
	self.decheck = self.decheck[0:38] + '0' + self.decheck[39:40]
	self.decheck = self.decheck[0:39] + '0'
	
	
    def Select_all(self, widget):
	#count iters
	it = self.cookiestore.get_iter_first()
        i=0
        while it:
          i=i+1
          it = self.cookiestore.iter_next(it)
	  
	#Set all True
	while i > 0:
	  ID = self.cookiestore.get_value(self.cookiestore.get_iter(i - 1),5)
	  #HERE
	  if ID == 1:
	          self.decheck = '1' + self.decheck[1:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
          if ID == 2:
	          self.decheck = self.decheck[0:1] + '1' + self.decheck[2:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 3:
	          self.decheck = self.decheck[0:2] + '1' + self.decheck[3:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
          if ID == 4:
	          self.decheck = self.decheck[0:3] + '1' + self.decheck[4:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
          if ID == 5:
	          self.decheck = self.decheck[0:4] + '1' + self.decheck[5:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
          if ID == 6:
	          self.decheck = self.decheck[0:5] + '1' + self.decheck[6:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
          if ID == 7:
	          self.decheck = self.decheck[0:6] + '1' + self.decheck[7:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
          if ID == 8:
	          self.decheck = self.decheck[0:7] + '1' + self.decheck[8:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 9:
	          self.decheck = self.decheck[0:8] + '1' + self.decheck[9:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 10:
	          self.decheck = self.decheck[0:9] + '1' + self.decheck[10:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 11:
	          self.decheck = self.decheck[0:10] + '1' + self.decheck[11:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 12:
	          self.decheck = self.decheck[0:11] + '1' + self.decheck[12:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 13:
	          self.decheck = self.decheck[0:12] + '1' + self.decheck[13:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 14:
	          self.decheck = self.decheck[0:13] + '1' + self.decheck[14:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 15:
	          self.decheck = self.decheck[0:14] + '1' + self.decheck[15:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 16:
	          self.decheck = self.decheck[0:15] + '1' + self.decheck[16:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 17:
	          self.decheck = self.decheck[0:16] + '1' + self.decheck[17:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 18:
	          self.decheck = self.decheck[0:17] + '1' + self.decheck[18:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 19:
	          self.decheck = self.decheck[0:18] + '1' + self.decheck[19:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 20:
	          self.decheck = self.decheck[0:19] + '1' + self.decheck[20:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 21:
	          self.decheck = self.decheck[0:20] + '1' + self.decheck[21:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 22:
	          self.decheck = self.decheck[0:21] + '1' + self.decheck[22:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 23:
	          self.decheck = self.decheck[0:22] + '1' + self.decheck[23:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 24:
	          self.decheck = self.decheck[0:23] + '1' + self.decheck[24:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 25:
	          self.decheck = self.decheck[0:24] + '1' + self.decheck[25:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 26:
	          self.decheck = self.decheck[0:25] + '1' + self.decheck[26:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 27:
	          self.decheck = self.decheck[0:26] + '1' + self.decheck[27:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 28:
	          self.decheck = self.decheck[0:27] + '1' + self.decheck[28:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 29:
	          self.decheck = self.decheck[0:28] + '1' + self.decheck[29:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 30:
	          self.decheck = self.decheck[0:29] + '1' + self.decheck[30:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 31:
	          self.decheck = self.decheck[0:30] + '1' + self.decheck[31:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 32:
	          self.decheck = self.decheck[0:31] + '1' + self.decheck[32:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 33:
	          self.decheck = self.decheck[0:32] + '1' + self.decheck[33:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 34:
	          self.decheck = self.decheck[0:33] + '1' + self.decheck[34:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 35:
	          self.decheck = self.decheck[0:34] + '1' + self.decheck[35:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 36:
	          self.decheck = self.decheck[0:35] + '1' + self.decheck[36:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 37:
	          self.decheck = self.decheck[0:36] + '1' + self.decheck[37:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 38:
	          self.decheck = self.decheck[0:37] + '1' + self.decheck[38:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 39:
	          self.decheck = self.decheck[0:38] + '1' + self.decheck[39:40]
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
	  if ID == 40:
	          self.decheck = self.decheck[0:39] + '1'
		  self.cookiestore.set_value(self.cookiestore.get_iter(i - 1),1, True)
		  
	  i=i-1
	  
    def write_log(self,widget):
	#verify if exist
	self.datatime = os.path.isfile('History/log.txt')
	if self.datatime is True:
	   now = time.time()
	   timedate = time.localtime(now)
	   year = timedate[0]
	   month = timedate[1]
	   day = timedate[2]
	   hour = timedate[3]
	   minute = timedate[4]
	   second = timedate[5]
	   dateb = 'Date:: ' + str(day) + '/' + str(month) + '/' + str(year) + '\n'
	   timeb = 'Time:: ' + str(hour) + ':' + str(minute) + ':' + str(second) + '\n'
	   foundb = 'Harmful Objets found:: ' + str(self.foundlog) + '\n'
	   removeb = 'Removed Objects:: ' + str(self.removelog) + '\n'
	   checkb = 'Checked Objects:: ' + str(self.checklog) + '\n'
	   lowb = 'Low priority objects removed:: ' + str(self.lowlog) + '\n'
	   medb = 'Medium priority objects removed:: ' + str(self.medlog) + '\n'
	   highb = 'High priority objects removed:: ' + str(self.highlog) + '\n'
	   ignoreb = 'Ignored objects:: ' + str(self.ignorelog) + '\n'
	   sep ='--------------------------------------------------------------' + '\n'
	   self.scanlog = ['::Scan log::\n',dateb, timeb, foundb, removeb ,checkb ,lowb ,medb , highb , ignoreb, sep]
	   logi = open('History/log.txt', 'r')
	   line = logi.readlines()
	   lines = len(line)
	   if lines >= 550:
	      login = open('History/log.txt', 'w')
	      login.writelines(self.scanlog)
	   else:
	      login = open('History/log.txt', 'a')
	      login.writelines(self.scanlog)
	
	
    def delete_event(self, widget, event, data=None):
        return False
    
    def destroy(self, widget, data=None):
        gtk.main_quit()

    def main(self):
        gtk.main()

if __name__ == "__main__":
    
    loop = IndexWindow()
    loop.main()
